Bug 454947 - Evolution error connecting to exhange servers using exchange plugin
Evolution error connecting to exhange servers using exchange plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 18:41 EDT by Norman R. Weathers
Modified: 2009-07-14 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evolution errors while using with exchange connector. (1.94 KB, text/plain)
2008-07-10 18:41 EDT, Norman R. Weathers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 506077 None None None Never

  None (edit)
Description Norman R. Weathers 2008-07-10 18:41:40 EDT
Description of problem:

When trying to get connected to my exchange account, I am getting several
errors, and it will repeatedly try to have me log into one of the underlying
fileservers, which it fails everytime.

Version-Release number of selected component (if applicable):
2.22.0

How reproducible:

Every time

Steps to Reproduce:
1. Start up evolution
2. Configure to use our OWA
3. On full startup (or restart), it fails to connect, trying to force me to
connect to one of the public file folder servers, not the main mailbox server.
  
Actual results:

Failed logins, get the following from the command line when I try and do the
full login:

CalDAV Eplugin starting up ...
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring
reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'
** (evolution:6576): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:6576): DEBUG: mailto URL program: evolution
  
  
  
  

** (evolution:6576): WARNING **: Unexpected kerberos error -1765328230
  
  
  
  

(evolution:6576): e-data-server-ui-WARNING **: Unable to find password(s) in
keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring
reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'

(evolution:6576): e-data-server-ui-WARNING **: Unable to find password(s) in
keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring
reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'
(evolution:6576): e-data-server-DEBUG: Loaded default categories
BBDB spinning up...
(evolution:6576): e-data-server-DEBUG: Saving categories to
"/home/weathnr/.evolution/categories.xml"


It is interesting the kerberos error message, and the not able to find the key
group.

Expected results:

It used to work (Fedora 8) and I could get to my email and my calendar on exchange.

Additional info:

I will attach a file with the same error output so that it will be easier to see.
Comment 1 Norman R. Weathers 2008-07-10 18:41:40 EDT
Created attachment 311522 [details]
Evolution errors while using with exchange connector.
Comment 2 Jerry Amundson 2008-09-24 23:54:58 EDT
Me to. More details to come, possibly from another machine.
Comment 3 Jerry Amundson 2008-09-25 01:07:11 EDT
Are you running this from KDE or Gnome? If Gnome, it seems odd to not sort out it's own Keyring crap. I see the same from KDE:

CalDAV Eplugin starting up ...
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'

(evolution:7332): e-utils-WARNING **: No parent set, or default parent available for error dialog
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'
Comment 4 Matthew Barnes 2008-09-25 12:08:31 EDT
Apart from the WARNING, those are just status messages.  They don't necessarily indicate a problem, although in this case it looks like Evolution can't find the Exchange password is in the keyring nor in the old ~/.gnome2_private/Evolution keyfile.

The kerberos error is probably significant.
Comment 5 Jerry Amundson 2008-09-25 21:59:08 EDT
(In reply to comment #4)
> Apart from the WARNING, those are just status messages.  They don't necessarily
> indicate a problem, although in this case it looks like Evolution can't find
> the Exchange password is in the keyring nor in the old
> ~/.gnome2_private/Evolution keyfile.
> 
> The kerberos error is probably significant.

Don't think so. I don't get the kerberos error, yet I see the same error on the desktop. I'll see what I can find with a trace and snoop.
Comment 6 Jerry Amundson 2008-09-26 01:24:29 EDT
Hmm. My Exchange server is behind an ISA proxy (with a form login). Searching the net clues me that might come into play?
Comment 7 Steve Walsh 2008-10-05 20:27:42 EDT
I'm in the same boat (ISA cluster infront of the mail hub), which is fixed by an entry in hosts pointing my webmail at the mailhub), but there is still an issue with the plugin.

When I fill the details for my end, evolution throws the following output;

get username exchange://username;auth=Basic@webmail.domain.edu.au/
Find Items 9
Couldn't Get password 9
Get Default 0
Find Items 9
Couldn't clear password
(evolution:19532): e-utils-WARNING **: No parent set, or default parent available for error dialog

However, our mailhub is listening on mulhub1.domain.edu.au/OWA. Putting an /owa on the end of the URL in the config box is ignored in the get. Shouldn't this be accepted, as the mailhub won't redirect from mailhub.domain.edu.au to mailhub.domain.edu.au/owa/

evolution-data-server-1.12.3-6.fc8
evolution-2.12.3-5.fc8
evolution-exchange-2.12.3-1.fc8
Comment 8 Steve Walsh 2008-10-05 21:23:42 EDT
Forgot to mention the Exchange install at my end is outlook 2007, hence the ISA cluster. I notice the Ximian plugin is only designed for outlook 2000 and 2003.
Comment 9 Matthew Barnes 2008-10-05 22:50:56 EDT
Exchange 2007 is currently not supported due to backward compatibility breakage on Microsoft's part.  The Evolution team is currently working hard on Exchange 2007 support.  ETA is currently Fedora 11, but that's highly tentative.
Comment 10 Steve Walsh 2008-10-05 23:05:15 EDT
(In reply to comment #9)
> Exchange 2007 is currently not supported due to backward compatibility breakage
> on Microsoft's part.  The Evolution team is currently working hard on Exchange
> 2007 support.  ETA is currently Fedora 11, but that's highly tentative.

Thanks Matt.

Oh, and sorry for hijacking the bug. I promise I'll drink *all* my morning coffee first next time and I'll read the entire bug, and not just the last comment.
Comment 11 Jerry Amundson 2008-10-06 10:56:44 EDT
The issue seems to be the ISA proxy, not just Exchange 2007. I was able to establish the connection, while inside my office, directly to our Exchange 2003 frontend server.
Comment 12 Bug Zapper 2009-06-09 22:02:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matthew Barnes 2009-06-21 09:07:40 EDT
Is this bug still present on Fedora 11 or later?
Comment 14 Steve Walsh 2009-06-21 09:22:36 EDT
I was able to setup Evolution with openchange-0.8.2-2 plugin and have gotten Evoution to the point of downloading mail from our Exchange 2007 cluster. 

It fails part way through the fetch, but I don't know if that's an exchange connectivity problem or an Evolution problem. I'll open another bug once I know where the problem lies, but as on F11, setting up Evolution+Exchange WFM.
Comment 15 Matthew Barnes 2009-06-21 09:30:45 EDT
Thanks for the update.  Will wait a little longer for another confirmation before closing.
Comment 16 Norman R. Weathers 2009-06-22 13:24:21 EDT
Currently, Fedora 11 works with our setup here, where Fedora 9 and 10 didn't.  It may be that they switched Exchange on us and didn't tell us (surprise, surprise).  I am actually getting better stability at the moment from the OWA plugin than I am from the MAPI plugin, so I have gone back to using the OWA plugin.

Thanks for the hard work on this.

Norman Weathers
Comment 17 Thomas Kordelle 2009-06-24 10:13:56 EDT
For me exchange plugin stopped working with Fedora 11.

The MAPI plugin can't fetch any folder and the exhange (OWA) plugin can't authorize with the exchange server. For more details see Bug 506077.

With best regards
Thomas
Comment 18 Steve Walsh 2009-06-24 17:37:44 EDT
Hi Thomas

have you tried it with openchange (the open exchange based plugin)? You might need to reconfigure your auth options after install.
Comment 19 Thomas Kordelle 2009-06-25 03:17:02 EDT
Hi Steve,

i assume you mean the MAPI plugin. It doesn't work for me. 

exchange-mapi-connection.c:2660: Entering exchange_mapi_get_folders_list libexchangemapi-Message: exchange-mapi-connection.c:2662: exchange_mapi_get_folders_list: lock(connect_lock)
    OpenMsgStore             : ecWrongServer (0x478)
libexchangemapi-Message: exchange-mapi-connection.c:2733: exchange_mapi_get_folders_list: unlock(connect_lock)

But this seems to be okay. MAPI is only known to work with Exchange Server 2007. I've got to use Exchange Server 2003.

@Matthew
Is there anything that i can do, to help you to fix the BUG?

With best regards
Thomas
Comment 20 Steve Walsh 2009-06-25 05:22:09 EDT
Hi Thomas

No, I mean openchange;

[sjw@f11 ~]$ rpm -qa | grep opench
openchange-0.8.2-2.fc11.i586

http://www.downloadsquad.com/2009/06/09/fedora-11-released-features-openchange-mapi-link-to-exchange/

[sjw@f11 ~]$ yum info openchange
<snip>
Installed Packages
Name       : openchange
Arch       : i586
Version    : 0.8.2
Release    : 2.fc11
Size       : 1.3 M
Repo       : installed
Summary    : Provides access to Microsoft Exchange servers using native protocols
URL        : http://www.openchange.org/
License    : GPLv3+ and Public Domain
Description: OpenChange provides libraries to access Microsoft Exchange servers
           : using native protocols.
Comment 21 Steve Walsh 2009-06-25 05:23:00 EDT
doh, ignore me, I see what you're saying.

move along now.
Comment 22 Bug Zapper 2009-07-14 10:28:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.